package com.sd.business.entity.bom.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * bom规格价格配置
 * </p>
 *
 * @author 
 * @since 2023-12-25
 */
@Getter
@Setter
@TableName("bom_spec_price_config")
public class BomSpecPriceConfig extends BasePo {

    /**
     * 编码 {@link com.sd.business.entity.bom.enums.BomSpecPriceConfigCodeEnum}
     */
    private String code;

    /**
     * 类型 0正常配置 1附加配置
     */
    private Integer type;

    /**
     * 名称
     */
    private String name;

    /**
     * 描述
     */
    private String description;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 mm
     */
    private BigDecimal height;

    /**
     * 损耗
     */
    private BigDecimal depletion;

    /**
     * 备注
     */
    private String remark;

}
