package com.sd.business.entity.inventory.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 成品暂存仓库(线边仓)操作记录
 * </p>
 *
 * @author
 * @since 2023-11-15
 */
@Getter
@Setter
@TableName("inventory_finished_temporary_detail")
public class InventoryFinishedTemporaryDetail extends BasePo {

    /**
     * 操作类型 1入库 0出库
     */
    private Integer type;

    /**
     * sku规格id
     */
    @NotNull(message = "sku规格id不能为空")
    private Long skuSpecId;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    @DecimalMin(value = "0.01", message = "数量必须大于0")
    private BigDecimal quantity;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 调仓标记
     */
    private Long allotFlag;

    /**
     * 备注
     */
    private String remark;
}
