package com.sd.business.service.order;

import com.sd.business.entity.board.bo.OrderSalesShipmentStatisticsBo;
import com.sd.business.entity.board.dto.TurnoverRateBoardSelectDto;
import com.sd.business.entity.board.vo.TurnoverRateStatisticsVo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 订单销售出库统计 服务类
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
public interface OrderSalesShipmentStatisticsService {

    /**
     * 根据时间段获取销售出库数量统计
     *
     * @param bomSpecIds
     * @return
     */
    Map<Long, OrderSalesShipmentStatisticsBo> getSalesShipmentStatisticsByDate(List<Long> bomSpecIds);

    /**
     * 获取周转率数据列表
     *
     * @return
     */
    List<TurnoverRateStatisticsVo> getTurnoverRateStatisticsList(TurnoverRateBoardSelectDto dto);

    /**
     * 获取周转率数据列表
     *
     * @return
     */
    Map<Long, BigDecimal> getTurnoverRateMapByBomSpecIds(List<Long> bomSpecIds);
}
